This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 483183 - gstreamer-python devel packages broken
gstreamer-python devel packages broken
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gstreamer-python (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-29 22:06 EST by Brian Pepple
Modified: 2009-01-30 20:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-30 20:23:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2009-01-29 22:06:04 EST
Description of problem: attempting to build a package that requires gst-python-0.10.pc will fail due to gst-python package using a provides: gst-python, and then packaging the *.pc in a seperate subpackage that will never be installed.


Version-Release number of selected component (if applicable): gstreamer-python-devel-0.10.13-1.fc11


How reproducible: always

Steps to Reproduce:
1. Attemp to build a package that depends on gst-python-devel, and looks for the *.pc file.
2. Sit back and watch you build fail due to the *.pc never being installed.
Comment 1 Denis Leroy 2009-01-30 06:19:21 EST
Oh my, I split the devel package and forgot to remove the Provide. Thanks for catching that.

I just tested 0.10.14 on rawhide: exaile, listen and soundconverter seem happy with it.
Comment 2 Brian Pepple 2009-01-30 20:23:41 EST
Yup, that fixed it.  I was able to rebuild farsight2.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.